<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">

<head>
	<title>Admin</title>
	<!--/*/ <th:block th:include="fragments/general.html :: headerfiles_admin"> </th:block> /*/-->
</head>

<body>
	<div class="wrapper">
		<div th:replace="fragments/admin.html :: navigation-bar"></div>
		<div th:replace="fragments/admin.html :: main-sidebar"></div>

		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">

			<!-- Main content -->
			<section class="content">
				<div class="container-fluid">
					<h1>Canais</h1>
					<div class="card card-default">
						<div class="card-header">
							<h3 class="card-title">Canais</h3>
							<div class="card-tools">
								<button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i></button>
								<button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-remove"></i></button>
							</div>
						</div> <!-- /.card-header -->

						<div class="card-body">
							<div class="row">
								<div class="col-md-12">
									<div class="form-group">
										<input type="hidden" id="txtSetup" name="txtSetup" th:value="${setup}">
										<label>Canais disponíveis</label>
										<select id="combochannels" class="select2bs4 select2-hidden-accessible" multiple="multiple" data-placeholder="Selecione as tags" style="width: 100%;" tabindex="-1">
											<option th:each="channel: ${channels}"
													th:value="${channel.id}"
													th:text="${channel.name}"
													th:selected="${channel.selected}"></option>
										</select>
									</div> <!-- /.form-group -->
								</div> <!-- /.col -->
							</div>
						</div> <!-- /.card-body -->
					</div>

				</div><!-- /.container-fluid -->
			</section>
			<!-- /.content -->
		</div>
		<!-- /.content-wrapper -->

		<div th:replace="fragments/admin.html :: main-footer"></div>
	</div>

	<script th:inline="javascript">

			$('.select2').select2();

			$('.select2bs4').select2({
				theme: 'bootstrap4'
			});

			$('#combochannels').on('select2:select', function (e) {
				var data = e.params.data;
				console.log(data);

				console.log("### inserir ###");
				$("#txtSetup").val()
				var urlInsertChannel = "/channel/insertChannel/" + $("#txtSetup").val() + "/" + data.text;
				console.log("urlInsertChannel: " + urlInsertChannel);

				$.ajax({
					type: "GET",
					url: urlInsertChannel,
					cache: false,
					contentType: false,
					processData: false,
					success: function(tag) {
						console.log(tag + " inserido com sucesso!");
					},
					error : function(jqXHR, textStatus, errorThrown) {
						alert('não deu certo!');
						console.log("jqXHR: " + jqXHR.status);
						console.log("textStatus: " + textStatus);
						console.log("errorThrown: " + errorThrown);
					}
				});
			});

			$('#combochannels').on('select2:unselect', function (e) {
				var data = e.params.data;
				console.log(data);

				console.log("### remover ###");
				var urlRemoveTag = "/channel/removeChannel/" + $("#txtSetup").val() + "/" + data.text;
				console.log("urlRemoveTag: " + urlRemoveTag);

				$.ajax({
					type: "GET",
					url: urlRemoveTag,
					cache: false,
					contentType: false,
					processData: false,
					success: function(tag) {
						console.log(tag + " removido com sucesso!");
					},
					error : function(jqXHR, textStatus, errorThrown) {
						alert('não deu certo!');
						console.log("jqXHR: " + jqXHR.status);
						console.log("textStatus: " + textStatus);
						console.log("errorThrown: " + errorThrown);
					}
				});
			});

		</script>

</body>
</html>